//	Script:	EasySlider, v1.0
//	Author:	Nikolai Zimfer
function getElementsByClass(elClass) {
	if(document.getElementsByClassName) {
		return document.getElementsByClassName(elClass)
	}
	else {
		var result = [], i;
		var allElems = document.getElementsByTagName('*'); 
		for(i = 0; i < allElems.length; i++) {
			if (allElems[i].className && allElems[i].className == elClass) {
				result.push(allElems[i]);
			}
		}	
		return result;
	}
}

var Controller = (function() {
	var Sld, Anc;

	function toggle(Sld) {	
		if(Sld.toggle == 'no' || Sld.toggle == null ) {
			pos = (-1) * Sld.width * (Sld.next - 1);
			Sld.firstChild.style.backgroundPosition = pos + 'px';			
		}		
		if(Sld.toggle == 'move') {
			var duration = 200;		//0,2 sec
			var start = new Date().getTime();
			var posFrom = (-1) * Sld.width * (Sld.numb - 1);
			var posTo   = (-1) * Sld.width * (Sld.next - 1);
			setTimeout(function() {  
				var now = (new Date().getTime()) - start;
				var progress = now / duration;
				var pos = (posTo - posFrom) * progress + posFrom;
				Sld.firstChild.style.backgroundPosition = pos + 'px';
				if (progress < 1)	setTimeout(arguments.callee, 10);
				else 				Sld.firstChild.style.backgroundPosition = posTo + 'px';
			}, 10);
		}				
		for(j = 0; j < Sld.pics; j++) {
			Sld.lastChild.childNodes[j].setAttribute('class', '');
			if(j == Sld.next-1)		{ Sld.lastChild.childNodes[j].setAttribute('class', 'cur'); }
		}
		Sld.numb = Sld.next;
	}	
	function onClickImg() {
		Div1 = this;
		Sld = Div1.parentNode;
		if(Sld.numb < Sld.pics)		{ Sld.next = Sld.numb + 1; }
		if(Sld.numb == Sld.pics)	{ Sld.next = 1; }
		toggle(Sld);
	}	
	function onClickA() {
		Anc  = this;
		Sld = Anc.parentNode.parentNode;
		Sld.next = parseInt(Anc.firstChild.nodeValue);
		toggle(Sld);
		return false;
	}	
	return {
		init: function(Sld) {
			Sld.path = Sld.getAttribute("name");
			ar = Sld.path.split('/');
			Sld.file = ar[ar.length-1];
			arr = Sld.file.split('-');
			Sld.numb = 1;		//number of current pic
			Sld.width = arr[1];
			Sld.height = arr[2];
			Sld.pics = arr[3];	//total pics
			Sld.toggle = Sld.getAttribute("toggle");
			Sld.style.width = Sld.width + 'px';
			
			Div1 = document.createElement('div');
			Div1.setAttribute('class', 'sliderImg');
			Div1.style.width = Sld.width + 'px';
			Div1.style.height = Sld.height + 'px';
			Div1.style.backgroundImage = 'url(' + Sld.path + ')';
			//Div1.style.backgroundPosition = '0px 0px';
			Sld.appendChild(Div1);
			Div1.onclick = onClickImg;

			Div2 = document.createElement('div');
			Div2.setAttribute('class', 'sliderNav');
			Div2.setAttribute('id', 'sliderNav');			
			Sld.appendChild(Div2);
			
			for(ii = 1; ii <= Sld.pics; ii++) {
				newA = document.createElement('a');
				newA.setAttribute('href', '');
				if(ii == 1)	{ newA.setAttribute('class', 'cur'); }
				newA.appendChild(document.createTextNode(ii));				
				Div2.appendChild(newA);
				newA.onclick = onClickA;
			}
		}
	}	
}())

var Sliders = getElementsByClass("EasySlider");

for(i = 0; i < Sliders.length; i++){
	Controller.init(Sliders[i]);
}